# Installing

```sh
python3 -m venv .venv
source .venv/bin/activate
pip install -e .
```

# Execute

To start a local http server in the dist folder you can simply do:

```sh
python3 -m http.server 1312
```

Then visit `localhost:1312`

```
# build it normally
stsg

# start a hot reload server
stsg_dev
```

# build favicon

```
cd src/static/assets
inkscape -w 16 -h 16 -o 16.png logo.svg
inkscape -w 32 -h 32 -o 32.png logo.svg
inkscape -w 48 -h 48 -o 48.png logo.svg

convert 16.png 32.png 48.png ../icon.ico
```
